#include <assert.h>
#include <malloc.h>
#include <stdio.h>
#include "sprite_types.h"
#include "airstrike.h"
#include "maths.h"
#include "mech.h"

static animation_t *fire_anim;
static animation_t *wait_anim;

static void shoot(sprite_t *s)
{
  /* create bullet here */
}

static void killme(sprite_t *s)
{
  sprite_kill(s);
}

static int setup()
{
  CRITICAL(fire_anim = animation_load(path_to_data("cannon-fire.png"),
				 2,16,30));
  animation_make_loop(fire_anim);
  return 0;
}

static sprite_t *create()
{
  sprite_t *s;
  s = calloc(1,sizeof(mech_sprite_t));
  mech_defaults((mech_sprite_t *)s,MECH_IMMOBILE|MECH_INBG);
  ((mech_sprite_t *)s)->rmass = 0.000000001;
  ((mech_sprite_t *)s)->gravity = 0;
  s->animation = fire_anim;
  return s;
}

static void update(sprite_t *s)
{

}

static void sigget(sprite_t *s, int signal, void *data)
{
  switch(signal)
    {
    case SIGNAL_DAMAGE:
      ((mech_sprite_t *)s)->damage += *(int *)data;
      break;
    default:
      break;
    }
}

sprite_type_t cannon =
  {
    "cannon",
    setup,
    create,
    sprite_free,
    0,
    0,
    update,
    sigget
  };

REGISTER_SPRITE_TYPE(cannon)
