#ifndef ALIGN_H
#define ALIGN_H
#include <SDL.h>

int text_setup();
extern int text_char_w;
extern int text_char_h;

enum text_alignment
  {
    ALIGN_CENTER,
    ALIGN_LEFT,
    ALIGN_RIGHT,
    ALIGN_TOP,
    ALIGN_BOTTOM
  };

/* Draw a sequence of characters on the screen
 * If boundary is nonzero then it is filled with the
 * bounding rectangle of all the printed chars.
 * The align variables control the text placement with
 * regards to x and y.
 */
void text_render(SDL_Surface *target, SDL_Rect *boundary,
		 int x, int y, 
		 enum text_alignment xalign, 
		 enum text_alignment yalign,
		 char *string);

#endif
